@import url(https://fonts.googleapis.com/css?family=Lato:300,400,700);

/* 
https://www.schemecolor.com/new-pop-art-color-palette.php
darker red ---< EC3C37
red --< F8DED7
black ---< #1c1c1c  (websafe black)
blue  ------< 1998CB
yellow  -------< F0CD13
 */
 
@font-face {
  font-family: "icomoon";
  src: url("../fonts/icomoon.eot");
  src: url("../fonts/icomoon.eot?#iefix") format("embedded-opentype"),
    url("../fonts/icomoon.woff") format("woff"),
    url("../fonts/icomoon.ttf") format("truetype"),
    url("../fonts/icomoon.svg#icomoon") format("svg");
  font-weight: normal;
  font-style: normal;
}

body,
html {
  font-size: 100%;
  padding: 0;
  margin: 0;
  height: 100%;
}

*,
*:after,
*:before {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

body {
  font-family: "Lato", Calibri, Arial, sans-serif;
  color: #1c1c1c;
  background: #1c1c1c;
  font-size: 0.9em;
  font-weight: 300;
}

a {
  color: #f0f0f0;
  text-decoration: none;
  font-weight: 700;
  letter-spacing: 2px;
  padding: 0 5px;
  text-transform: uppercase;
  font-size: 80%;
}

a:hover {
  color: #fff;
}

.back {
  /* 1 pixel black shadow to left, top, right and bottom */
  text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
}

.container {
  height: 100%;
}

.bl-main {
  position: absolute;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.bl-main > section {
  position: absolute;
  width: 50%;
  height: 50%;
}

/* TOPLEFT */
.bl-main > section:first-child {
  top: 0;
  left: 0;
  background: #ec3c37;
}

.bl-main > section:nth-child(2) {
  top: 0;
  left: 50%;
  background: #1998cb;
}

.bl-main > section:nth-child(3) {
  top: 50%;
  left: 0;
  background: #f0cd13;
}

.bl-main > section:nth-child(4) {
  top: 50%;
  left: 50%;
  background: #f8ded7;
}

.bl-box {
  position: relative;
  width: 100%;
  height: 100%;
  cursor: pointer;
  opacity: 1;
  /* Centering with flexbox */
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -webkit-flex-direction: row;
  -ms-flex-direction: row;
  flex-direction: row;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-pack: center;
  -moz-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -moz-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
}

.bl-box h2 {
  text-align: center;
  margin: 0;
  padding: 20px;
  width: 100%;
  font-size: 1.8em;
  letter-spacing: 2px;
  font-weight: 700;
  text-transform: uppercase;
}

.bl-icon {
  font-family: "icomoon";
  speak: none;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;
  cursor: pointer;
  -webkit-font-smoothing: antialiased;
}

.bl-icon:before {
  display: block;
  font-size: 2em;
  margin-bottom: 10px;
}

.bl-icon-about:before {
  content: "\e000";
}

.bl-icon-works:before {
  content: "\e001";
}

.bl-icon-blog:before {
  content: "\e002";
}

.bl-icon-contact:before {
  content: "\e003";
}

.bl-main > section .bl-icon-close {
  position: absolute;
  top: 20px;
  right: 20px;
  cursor: pointer;
  z-index: 100;
  opacity: 0;
  pointer-events: none;
}

.bl-icon-close:before {
  content: "\e005";
}

.bl-content,
div.bl-panel-items > div > div {
  opacity: 0;
  pointer-events: none;
  position: absolute;
  top: 60px;
  left: 30px;
  right: 30px;
  bottom: 30px;
  padding: 0 20px;
  overflow: hidden;
  overflow-y: auto;
}

/* Custom content */

.bl-content > .centered-image {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 10%;
}

.centered-image {
  max-width: 50%;         /* Ensure the image doesn't overflow the container */
  /* height: auto;            Keep the image aspect ratio */
  /* max-height: 30vh;        Optional: limit the image's height X% of the viewport height */
  width: 50%;
}

.bl-content p {
  margin: 0 auto;
  padding-bottom: 15px;
  font-size: 1.7em;
  line-height: 1.8;
}

.bl-content h2 {
  font-size: 3em;
  font-weight: 300;
  margin: 0 0 20px 0;
}

.bl-content article {
  padding: 20px 40px 20px 0px;
}

.bl-content article h3 {
  font-weight: 700;
  letter-spacing: 2px;
  text-transform: uppercase;
  margin: 0 0 10px 0;
  padding-top: 20px;
  font-size: 1.4em;
}

.bl-content article a {
  color: rgba(0, 0, 0, 0.2);
}

.bl-content > ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.bl-content > ul li {
  display: inline-block;
  width: 20%;
  margin: 1%;
}

.bl-content > ul li a {
  display: block;
  padding: 0;
  border: 8px solid rgba(0, 0, 0, 0.1);
}

.bl-content > ul li a img {
  display: block;
  max-width: 100%;
}

.bl-main > section {
  -webkit-transition: all 0.5s ease-in-out;
  -moz-transition: all 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
}

.bl-main > section.bl-expand {
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}

.bl-main > section.bl-expand-top {
  z-index: 100;
}

/* 
https://www.schemecolor.com/new-pop-art-color-palette.php
darker red ---< EC3C37
red --< F8DED7
black ---< 000000  Might want to use that websafe black instead
blue  ------< 1998CB
yellow  -------< F0CD13
 */

.bl-main > section:first-child.bl-expand {
  background: #f8ded7;
}
.bl-main > section:nth-child(2).bl-expand {
  background: #f0cd13;
}
.bl-main > section:nth-child(3).bl-expand {
  background: #1998cb;
}
.bl-main > section:nth-child(4).bl-expand {
  background: #ec3c37;
}

.bl-main.bl-expand-item > section:not(.bl-expand),
.bl-main.bl-expand-item > section.bl-scale-down {
  -webkit-transform: scale(0.5);
  -moz-transform: scale(0.5);
  -ms-transform: scale(0.5);
  transform: scale(0.5);
  opacity: 0;
}

.bl-box {
  -webkit-transition: opacity 0.2s linear 0.5s;
  -moz-transition: opacity 0.2s linear 0.5s;
  transition: opacity 0.2s linear 0.5s;
}

section.bl-expand .bl-box {
  opacity: 0;
  -webkit-transition: opacity 0s linear;
  -moz-transition: opacity 0s linear;
  transition: opacity 0s linear;
}

.bl-box h2 {
  -webkit-transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}

.no-touch section:not(.bl-expand) .bl-box:hover h2 {
  -webkit-transform: translateY(-15px);
  -moz-transform: translateY(-15px);
  -ms-transform: translateY(-15px);
  transform: translateY(-15px);
}

.bl-content,
.bl-icon-close {
  -webkit-transition: opacity 0.1s linear 0s;
  -moz-transition: opacity 0.1s linear 0s;
  transition: opacity 0.1s linear 0s;
}

section.bl-expand .bl-content,
section.bl-expand .bl-icon-close {
  pointer-events: auto;
  opacity: 1;
  -webkit-transition: opacity 0.3s linear 0.5s;
  -moz-transition: opacity 0.3s linear 0.5s;
  transition: opacity 0.3s linear 0.5s;
}

@media screen and (max-width: 46.5em) {
  .bl-content,
  .bl-box {
    font-size: 75%;
  }

  .bl-expand .bl-box {
    height: 130px;
  }

  .bl-content > ul li {
    width: 40%;
  }

  .back {
    color: #1c1c1c;
  }

  @media only screen and (max-width: 768px) {
    .centered-image {
        max-height: 60vh;     /* Adjust the image's height for mobile devices */
    }
}



}